<?xml version="1.0" encoding="utf-8"?>
<odoo>

    <record id="wt_import_timeline_wizard_view_form" model="ir.ui.view">
        <field name="name">wt.import.timeline.wizard.form</field>
        <field name="model">wt.import.timeline.wizard</field>
        <field name="arch" type="xml">
            <form string="Import Google Timeline">
                <group>
                    <group string="File">
                        <field name="timeline_file" filename="timeline_filename" required="1"/>
                        <field name="timeline_filename" invisible="1"/>
                    </group>
                    <group string="Filters">
                        <field name="date_from"/>
                        <field name="date_to"/>
                        <field name="min_stop_minutes"/>
                    </group>
                </group>
                <group string="Options">
                    <field name="geocode"/>
                </group>
                <footer>
                    <button name="action_import" string="Import" type="object" class="btn-primary"/>
                    <button string="Cancel" class="btn-secondary" special="cancel"/>
                </footer>
            </form>
        </field>
    </record>

    <record id="wt_import_timeline_wizard_action" model="ir.actions.act_window">
        <field name="name">Import Google Timeline</field>
        <field name="res_model">wt.import.timeline.wizard</field>
        <field name="view_mode">form</field>
        <field name="target">new</field>
    </record>

</odoo>
